var ExcelData;

var excel;
layui.config({
    base: '/layuiadmin/' //静态资源所在路径
}).extend({
    myexcel: 'layui/lay/modules/excel',
    index: 'lib/index' //主入口模块
}).use(['index', 'table', 'excel', 'laydate'], function () {
    var $ = layui.$,
        form = layui.form,
        table = layui.table;

    //- 筛选条件-日期
    var laydate = layui.laydate;
    var layCreateDate = laydate.render({
        elem: '#CreateDate',
        type: 'date',
        range: true,
        trigger: 'click',
        change: function (value, date, endDate) {
            var op = true;
            if (date.year == endDate.year && endDate.month - date.month <= 1) {
                if (endDate.month - date.month == 1 && endDate.date > date.date) {
                    op = false;
                    layCreateDate.hint('日期范围请不要超过1个月');
                    setTimeout(function () {
                        $(".laydate-btns-confirm").addClass("laydate-disabled");
                    }, 1);
                }
            } else {
                op = false;
                layCreateDate.hint('日期范围请不要超过1个月');
                setTimeout(function () {
                    $(".laydate-btns-confirm").addClass("laydate-disabled");
                }, 1);
            }
            if (op) {
                $('#CreateDate').val(value);
            }
        }
    });


    //excel导入
    excel = layui.excel;
    $('#ExcelFile').change(function (e) {
        var files = e.target.files;
        excel.importExcel(files, {}, function (data) {
            ExcelData = data[0].sheet1;
        });
    });

    //监听单元格编辑
    table.on('edit(LAY-list-manage)', function (obj) {
        var value = obj.value //得到修改后的值
            ,
            data = obj.data //得到所在行所有键值
            ,
            field = obj.field; //得到字段
        if (field == "Sort") {
            $.ajax({
                type: "POST",
                url: "/Admin/UserCashRecordForBusiness/Sort?r=" + Math.random(1),
                data: "Id=" + data.Id + "&Sort=" + value,
                dataType: "text",
                success: function (data) { }
            });
        }
    });

    //列表数据
    table.render({
        elem: '#LAY-list-manage',
        url: '/Admin/UserCashRecordForBusiness/IndexData' //模拟接口
        ,
        cols: [[
            { type: 'checkbox', fixed: 'left' }
            , { field: 'MakerCode', width: 200, title: '创客编号', sort: true }
            , { field: 'RealName', width: 200, title: '创客姓名', sort: true }
            , { field: 'CashOrderNo', width: 200, title: '提现单号', sort: true }
            , { field: 'TradeAmount', width: 200, title: '提现金额', sort: true }
            , { field: 'CreateDate', width: 200, title: '提现时间', sort: true }
            , { field: 'SeoKeyword', width: 200, title: '备注', sort: true }
            , { field: 'CreateMan', width: 200, title: '操作人', sort: true }
            // , { title: '操作', align: 'center', width: 300, fixed: 'right', toolbar: '#table-list-tools' }
        ]],
        where: {

        },
        page: true,
        limit: 30,
        height: 'full-' + String($('.layui-card-header').height() + 130),
        text: '对不起，加载出现异常！',
        done: function (res, curr, count) {
            $(".layui-none").text("无数据");
            layer.close(loadindex);
        }
    });

    //监听工具条
    table.on('tool(LAY-list-manage)', function (obj) {
        var data = obj.data;
    });


    //监听搜索
    form.on('submit(LAY-list-front-search)', function (data) {
        var field = data.field;

        //执行重载
        table.reload('LAY-list-manage', {
            where: field,
            page: {
                curr: 1
            }
        });
    });
    form.on('submit(LAY-list-front-searchall)', function (data) {
        table.reload('LAY-list-manage', {
            where: null,
            page: {
                curr: 1
            }
        });
    });

    //事件
    var active = {
        add: function () {
            var perContent = layer.open({
                type: 2,
                title: '直营团队提现记录-添加',
                content: 'Add',
                maxmin: true,
                area: ['500px', '450px'],
                btn: ['确定', '取消'],
                yes: function (index, layero) {
                    var iframeWindow = window['layui-layer-iframe' + index],
                        submitID = 'LAY-list-front-submit',
                        submit = layero.find('iframe').contents().find('#' + submitID);

                    setTimeout(function () {
                        layero.find('iframe').contents().find('.layui-tab-item').each(function (i) {
                            var errObj = $(this).find('.layui-form-danger');
                            if (errObj.length > 0) {
                                iframeWindow.element.tabChange('mytabbar', String(i + 1));
                                submit.click();
                            }
                        });
                    }, 300);
                    //监听提交
                    iframeWindow.layui.form.on('submit(' + submitID + ')', function (data) {
                        var field = data.field; //获取提交的字段
                        var userdata = "";
                        for (var prop in field) {
                            userdata += prop + "=" + encodeURIComponent(field[prop]) + "&";
                        }
                        //提交 Ajax 成功后，静态更新表格中的数据
                        //$.ajax({});

                        // var info = "";
                        // $.ajax({
                        //     url: "/Admin/UserCashRecordForBusiness/GetReserve?r=" + Math.random(1),
                        //     // data: searchInfo,
                        //     data: userdata,
                        //     dataType: "text",
                        //     success: function (data) {
                        //         info = data;

                        //     }
                        // });

                        // var indexs = layer.confirm('确定要进行提现吗？' + info, function (indexs) {

                        getInfo(userdata, function (info) {
                            var indexs = layer.confirm(info + '\n确定要进行提现吗？', function (indexs) {
                                $.ajax({
                                    type: "POST",
                                    url: "/Admin/UserCashRecordForBusiness/Add?r=" + Math.random(1),
                                    data: userdata,
                                    dataType: "text",
                                    success: function (data) {
                                        layer.close(index); //关闭弹层
                                        layer.close(indexs); //关闭弹层
                                        if (data == "success") {
                                            layer.msg("成功");
                                            table.reload('LAY-list-manage'); //数据刷新
                                        } else {
                                            layer.msg(data);
                                        }
                                    }
                                });
                            });
                        })
                    });

                    submit.trigger('click');
                }
            });
            // layer.full(perContent);
        },
        ExportExcel: function () {
            var userdata = '';
            $(".layuiadmin-card-header-auto input").each(function (i) {
                userdata += $(this).attr('name') + '=' + encodeURIComponent($(this).val()) + '&';
            });
            $(".layuiadmin-card-header-auto select").each(function (i) {
                userdata += $(this).attr('name') + '=' + encodeURIComponent($(this).val()) + '&';
            });
            // $.ajax({
            //     type: "GET",
            //     url: "/Admin/UserCashRecordForBusiness/ExportExcel?r=" + Math.random(1),
            //     data: userdata,
            //     dataType: "json",
            //     success: function (data) {
            //         data.Obj.unshift(data.Fields);
            //         excel.exportExcel(data.Obj, data.Info, 'xlsx');
            //     }
            // });
            var index = layer.confirm('确定导出吗？', function (index) {
                var indexs = layer.load(1, {
                    shade: [0.5, '#000']
                });
                $.ajax({
                    type: "POST",
                    url: "/Admin/UserCashRecordForBusiness/QuickExportExcelDo?r=" + Math.random(1),
                    data: userdata,
                    dataType: "text",
                    success: function (data) {
                        layer.close(index); //关闭弹层
                        if (data == "success") {
                            layer.close(indexs); //关闭弹层
                            layer.msg('导出成功，请到我的下载中点击下载文件', {
                                time: 1000
                            }, function () {
                                window.location.reload();
                            });
                        } else {
                            layer.close(indexs); //关闭弹层
                            layer.msg(data);
                        }
                    }
                });
            });
        }
    };

    $('.layui-btn').on('click', function () {
        var type = $(this).data('type');
        active[type] ? active[type].call(this) : '';
    });
});

function getInfo(userdata, func) {
    $.ajax({
        url: "/Admin/UserCashRecordForBusiness/GetReserve?r=" + Math.random(1),
        data: userdata,
        dataType: "text",
        success: function (data) {
            info = data;
            func(info);
        }
    });
};